/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_fraction_bracket_test.pov
 
 Here's a demonstration of how you might make fonts with the rlp macros.
 
*/
  ////
 //   example   //     
//_____________//      
global_settings {charset utf8 assumed_gamma 1.0}  
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// 
CL_rlp_make_text_string_set(3) // Defines CL_tiny_space,CL_small_space,CL_medium_space,CL_large_space,CL_huge_space,CL_letter_adjust,
//                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
#declare fraction_object  =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                              "#A^2- n^2|,|!|!_G","#a^2 + 2aB + B^2",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions =  CL_dimensions_out; 
//
#declare delimited_object = object{CL_rlp_make_elastic_bracket_pair(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,
                                        CL_cham,CL_font_type,fraction_object,CL_tiny_space,1,1,inner_dimensions,CL_dimensions_out)} 
//
object{delimited_object translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0,-70> look_at <0,0,0> angle 15}

//camera{orthographic
//  location<18,2,-15>
//  look_at <18,1,0>
//  angle 15 
//}
